import request from '@/utils/request'

// 查询物料领用权限配置列表
export function listRequisition_auth_config(data) {
  return request({
    url: '/sfa/authConfig/list',
    method: 'POST',
    data: data
  })
}

// 查询物料领用权限配置详细
export function getRequisition_auth_config(query) {
  return request({
    url: '/sfa/authConfig/getConfigInfo',
    method: 'get',
    params: query
  })
}
export function getUserInfolist(data) {
  return request({
    url: '/sfa/authConfig/getUserInfo',
    method: 'POST',
    data: data
  })
}
// 新增物料领用权限配置
export function addRequisition_auth_config(data) {
  return request({
    url: '/sfa/authConfig/addConfig',
    method: 'post',
    data: data
  })
}

// 修改物料领用权限配置
export function updateRequisition_auth_config(data) {
  return request({
    url: '/sfa/authConfig/updateConfig',
    method: 'post',
    data: data
  })
}

// 删除物料领用权限配置
export function delRequisition_auth_config(query) {
  return request({
    url: '/sfa/authConfig/delete',
    method: 'get',
    params: query
  })
}
